# Uses of Interface
org.eclipse.emf.cdo.server.db.IDBStore

Packages that use IDBStore
Package
Description
org.eclipse.emf.cdo.server.db
Server concepts for dealing with DB stores and accessors.
org.eclipse.emf.cdo.server.db.mapping
Server concepts for dealing with mapping strategies and mappings for classes, lists and types.

## Uses of IDBStore in org.eclipse.emf.cdo.server.db

Methods in org.eclipse.emf.cdo.server.db that return IDBStore
Modifier and Type
Method
Description
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider)`
`static IDBStore`
CDODBUtil.`createStore(IMappingStrategy mappingStrategy, org.eclipse.net4j.db.IDBAdapter dbAdapter, org.eclipse.net4j.db.IDBConnectionProvider dbConnectionProvider, Map<String,String> properties)`
`IDBStore`
IDBStoreAccessor.`getStore()`
`IDBStore`
IIDHandler.`getStore()`

## Uses of IDBStore in org.eclipse.emf.cdo.server.db.mapping

Methods in org.eclipse.emf.cdo.server.db.mapping that return IDBStore
Modifier and Type
Method
Description
`IDBStore`
IMappingStrategy.`getStore()`
Methods in org.eclipse.emf.cdo.server.db.mapping with parameters of type IDBStore
Modifier and Type
Method
Description
`void`
IMappingStrategy.`setStore(IDBStore dbStore)`
Set the store to which this MappingStrategy instance belongs.